Nestopia Core API: Nes::Core::Input::Controllers

Overview | Project | Class | Tree | Deprecated | Index
| Nestopia Core API
FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## api
Class Nes::Core::Input::Controllers

class Nes::Core::Input::Controllers

Inner Classes, Typedefs, and Enums
`struct` | `Nes::Core::Input::Controllers::BandaiHyperShot` Bandai Hyper Shot
`struct` | `Nes::Core::Input::Controllers::CrazyClimber` Crazy Climber.
`struct` | `Nes::Core::Input::Controllers::DoremikkoKeyboard` Doremikko Keyboard.
`struct` | `Nes::Core::Input::Controllers::ExcitingBoxing` Konami Exciting Boxing.
`struct` | `Nes::Core::Input::Controllers::FamilyKeyboard` Family Keyboard.
`struct` | `Nes::Core::Input::Controllers::FamilyTrainer` Family Trainer.
`struct` | `Nes::Core::Input::Controllers::HoriTrack` Hori Track.
`struct` | `Nes::Core::Input::Controllers::KaraokeStudio` Bandai Karaoke Studio.
`struct` | `Nes::Core::Input::Controllers::KonamiHyperShot` Konami Hyper Shot.
`struct` | `Nes::Core::Input::Controllers::Mahjong` Mahjong.
`struct` | `Nes::Core::Input::Controllers::Mouse` Mouse.
`struct` | `Nes::Core::Input::Controllers::OekaKidsTablet` Oeka Kids Tablet.
`struct` | `Nes::Core::Input::Controllers::Pachinko` Pachinko.
`struct` | `Nes::Core::Input::Controllers::Pad` Standard NES pad.
`struct` | `Nes::Core::Input::Controllers::Paddle` Arkanoid controller.
`struct` | `Nes::Core::Input::Controllers::PartyTap` Party Tap.
`struct` | `Nes::Core::Input::Controllers::PokkunMoguraa` Pokkun Moguraa.
`struct` | `Nes::Core::Input::Controllers::PollCaller1`
`struct` | `Nes::Core::Input::Controllers::PollCaller2`
`struct` | `Nes::Core::Input::Controllers::PollCaller3`
`struct` | `Nes::Core::Input::Controllers::PowerGlove` Power Glove.
`struct` | `Nes::Core::Input::Controllers::PowerPad` Power Pad / Family Fun Fittness.
`struct` | `Nes::Core::Input::Controllers::SuborKeyboard` Subor Keyboard.
`struct` | `Nes::Core::Input::Controllers::TopRider` Top Rider bike.
`struct` | `Nes::Core::Input::Controllers::VsSystem` VS System input.
`struct` | `Nes::Core::Input::Controllers::Zapper` Standard light gun.

Field Summary
`Nes::Core::Input::Controllers::BandaiHyperShot` | `bandaiHyperShot`
`Nes::Core::Input::Controllers::CrazyClimber` | `crazyClimber`
`Nes::Core::Input::Controllers::DoremikkoKeyboard` | `doremikkoKeyboard`
`Nes::Core::Input::Controllers::ExcitingBoxing` | `excitingBoxing`
`Nes::Core::Input::Controllers::FamilyKeyboard` | `familyKeyboard`
`Nes::Core::Input::Controllers::FamilyTrainer` | `familyTrainer`
`Nes::Core::Input::Controllers::HoriTrack` | `horiTrack`
`Nes::Core::Input::Controllers::KaraokeStudio` | `karaokeStudio`
`Nes::Core::Input::Controllers::KonamiHyperShot` | `konamiHyperShot`
`Nes::Core::Input::Controllers::Mahjong` | `mahjong`
`Nes::Core::Input::Controllers::Mouse` | `mouse`
`Nes::Core::Input::Controllers::OekaKidsTablet` | `oekaKidsTablet`
`Nes::Core::Input::Controllers::Pachinko` | `pachinko`
`Nes::Core::Input::Controllers::Pad[ NUM_PADS ]` | `pad`
`Nes::Core::Input::Controllers::Paddle` | `paddle`
`Nes::Core::Input::Controllers::PartyTap` | `partyTap`
`Nes::Core::Input::Controllers::PokkunMoguraa` | `pokkunMoguraa`
`Nes::Core::Input::Controllers::PowerGlove` | `powerGlove`
`Nes::Core::Input::Controllers::PowerPad` | `powerPad`
`Nes::Core::Input::Controllers::SuborKeyboard` | `suborKeyboard`
`Nes::Core::Input::Controllers::TopRider` | `topRider`
`Nes::Core::Input::Controllers::VsSystem` | `vsSystem`
`Nes::Core::Input::Controllers::Zapper` | `zapper`

Constructor Summary
`Controllers()`

Field Detail

### bandaiHyperShot

    public Nes::Core::Input::Controllers::BandaiHyperShot bandaiHyperShot;

### crazyClimber

    public Nes::Core::Input::Controllers::CrazyClimber crazyClimber;

### doremikkoKeyboard

    public Nes::Core::Input::Controllers::DoremikkoKeyboard doremikkoKeyboard;

### excitingBoxing

    public Nes::Core::Input::Controllers::ExcitingBoxing excitingBoxing;

### familyKeyboard

    public Nes::Core::Input::Controllers::FamilyKeyboard familyKeyboard;

### familyTrainer

    public Nes::Core::Input::Controllers::FamilyTrainer familyTrainer;

### horiTrack

    public Nes::Core::Input::Controllers::HoriTrack horiTrack;

### karaokeStudio

    public Nes::Core::Input::Controllers::KaraokeStudio karaokeStudio;

### konamiHyperShot

    public Nes::Core::Input::Controllers::KonamiHyperShot konamiHyperShot;

### mahjong

    public Nes::Core::Input::Controllers::Mahjong mahjong;

### mouse

    public Nes::Core::Input::Controllers::Mouse mouse;

### oekaKidsTablet

    public Nes::Core::Input::Controllers::OekaKidsTablet oekaKidsTablet;

### pachinko

    public Nes::Core::Input::Controllers::Pachinko pachinko;

### pad

    public Nes::Core::Input::Controllers::Pad pad[ NUM_PADS ];

### paddle

    public Nes::Core::Input::Controllers::Paddle paddle;

### partyTap

    public Nes::Core::Input::Controllers::PartyTap partyTap;

### pokkunMoguraa

    public Nes::Core::Input::Controllers::PokkunMoguraa pokkunMoguraa;

### powerGlove

    public Nes::Core::Input::Controllers::PowerGlove powerGlove;

### powerPad

    public Nes::Core::Input::Controllers::PowerPad powerPad;

### suborKeyboard

    public Nes::Core::Input::Controllers::SuborKeyboard suborKeyboard;

### topRider

    public Nes::Core::Input::Controllers::TopRider topRider;

### vsSystem

    public Nes::Core::Input::Controllers::VsSystem vsSystem;

### zapper

    public Nes::Core::Input::Controllers::Zapper zapper;

Constructor Detail

### Controllers

    public Controllers() throw();

Overview | Project | Class | Tree | Deprecated | Index
| Nestopia Core API
FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD